| The Gaudi Framework v29r0 (ff2e7097)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
IEqSolver Class Referenceabstract

Interface file for multidimensional root-finding (solving nonlinear system with n equations in n unknowns) More...

`#include <GaudiGSL/IEqSolver.h>`

Inheritance diagram for IEqSolver:
[legend]
Collaboration diagram for IEqSolver:
[legend]

## Public Types
typedef Genfun::AbsFunction | GenFunc
| Function (. More...
typedef std::vector< const GenFunc * > | Equations
| Vector of the function "GenFunc" which we solver. More...
typedef Genfun::Argument | Arg
| Argument of function "GenFunc" (. More...
Public Types inherited from extend_interfaces< IAlgTool >
using | ext_iids = typename Gaudi::interface_list_cat< typename Interfaces::ext_iids... >::type
| take union of the ext_iids of all Interfaces... More...

## Public Member Functions
| DeclareInterfaceID (IEqSolver, 2, 0)
| InterfaceID. More...
virtual StatusCode | solver (const Equations &equations, Arg &solution) const =0
| Do Multidimensional Root-finding. More...
Public Member Functions inherited from extend_interfaces< IAlgTool >
| ~extend_interfaces () override=default
| Virtual destructor. More...

## Detailed Description

Interface file for multidimensional root-finding (solving nonlinear system with n equations in n unknowns)

Author
  Kirill Miklyaev kiril.nosp@m.lm@i.nosp@m.ris1..nosp@m.itep.nosp@m..ru

Date
  2003-07-07

Definition at line 26 of file IEqSolver.h.

## Member Typedef Documentation

typedef Genfun::Argument IEqSolver::Arg

Argument of function "GenFunc" (.

See also
  CLHEP/GenericFunctions/Argument.hh)

Definition at line 35 of file IEqSolver.h.

typedef std::vector<const GenFunc*> IEqSolver::Equations

Vector of the function "GenFunc" which we solver.

Definition at line 33 of file IEqSolver.h.

typedef Genfun::AbsFunction IEqSolver::GenFunc

Function (.

See also
  CLHEP/GenericFunctions/AbsFunction.hh)

Definition at line 31 of file IEqSolver.h.

## Member Function Documentation

IEqSolver::DeclareInterfaceID | ( | IEqSolver | ,
|  | 2 | ,
|  | 0 |
| ) |  |

InterfaceID.

virtual StatusCode IEqSolver::solver | ( | const Equations & | equations,
|  | Arg & | solution
| ) |  | const
| pure virtual

Do Multidimensional Root-finding.

Solving nonlinear system with N equations in N unknowns of the function "GenFunc"

Parameters

  equations | - vector of functions

See also
  CLHEP/GenericFunctions/AbsFunction.hh

Parameters

  solution | - argument

See also
  CLHEP/GenericFunctions/Argument.hh

Returns
  StatusCode

The documentation for this class was generated from the following file:

- GaudiGSL/GaudiGSL/IEqSolver.h